<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [scan](./bitburner.ns.scan.md)

## NS.scan() method

Get the list of servers connected to a server.

<b>Signature:</b>

```typescript
scan(host?: string): string[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Optional, Hostname of the server to scan, default to current server. |

<b>Returns:</b>

string\[\]

Returns an string of hostnames.

## Remarks

RAM cost: 0.2 GB

Returns an array containing the hostnames of all servers that are one node way from the specified target server. The hostnames in the returned array are strings.

